Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPDFXMLOutput Class Reference
Inheritance diagram for eZPDFXMLOutput:

## Public Member Functions
| __construct ( $xmlData, $aliasedType, $contentObjectAttribute=null)
| initHandlerTable ( $element, &$attributes, &$sibilingParams, &$parentParams)
| initHandlerLi ( $element, &$attributes, &$sibilingParams, &$parentParams)
Public Member Functions inherited from eZXHTMLXMLOutput
| initHandlerSection ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerHeader ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerLink ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerEmbed ( $element, &$attributes, &$siblingParams, &$parentParams)
| leavingHandlerTable ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerTr ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerTd ( $element, &$attributes, &$siblingParams, &$parentParams)
| initHandlerCustom ( $element, &$attributes, &$siblingParams, &$parentParams)
| renderParagraph ( $element, $childrenOutput, $vars)
| renderInline ( $element, $childrenOutput, $vars)
| renderLine ( $element, $childrenOutput, $vars)
| renderCustom ( $element, $childrenOutput, $vars)
| renderChildrenOnly ( $element, $childrenOutput, $vars)
| renderText ( $element, $childrenOutput, $vars)
Public Member Functions inherited from eZXMLOutputHandler
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
& | viewTemplateName ()
| isValid ()
| viewTemplateSuffix (&$contentobjectAttribute)
| xmlData ()
& | outputText ()
| prefetch ()
| getAttributeValueArray ( $tagName, $attributeName)
| outputTag ( $element, &$siblingParams, $parentParams=array())
| renderTag ( $element, $content, $vars)
| renderAll ( $element, $childrenOutput, $vars)
| callTagInitHandler ( $handlerName, $element, &$attributes, &$siblingParams, &$parentParams)
| callTagRenderHandler ( $handlerName, $element, $childrenOutput, $vars)

## Public Attributes
| $TemplatesPath = 'design:content/datatype/pdf/ezxmltags/'
Public Attributes inherited from eZXHTMLXMLOutput
| $OutputTags
| $LinkParameters = array()
| Array of parameters for rendering tags that are children of 'link' tag. More...
| $HeaderCount = array()
| $RenderParagraphInTableCells = true
Public Attributes inherited from eZXMLOutputHandler
| $TemplateUri
| $OutputTags = array()
| $TemplatesPath = 'design:content/datatype/view/ezxmltags/'
| $XMLData
| Contains the XML data as text. More...
| $Document
| $XMLSchema
| $AliasedType
| $AliasedHandler
| $Output = ''
| $Tpl
| $TemplateURI = ''
| $Res
| $AllowMultipleSpaces = false
| $AllowNumericEntities = false
| $ContentObjectAttribute
| $ObjectAttributeID
| $LinkArray = array()
| Contains the URL's for <link> tags hashed by ID. More...
| $ObjectArray = array()
| Contains the Objects hashed by ID. More...
| $NodeArray = array()
| Contains the Nodes hashed by ID. More...
| $NestingLevel = 0

## Additional Inherited Members
Static Protected Member Functions inherited from eZXHTMLXMLOutput
static | childTagCount (DOMElement $parent)
Protected Attributes inherited from eZXHTMLXMLOutput
| $SectionLevelStack = array()

## Detailed Description

Definition at line 11 of file ezpdfxmloutput.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPDFXMLOutput::__construct | ( |  | $xmlData,
|  |  | $aliasedType,
|  |  | $contentObjectAttribute = `null`
| ) |  |

Constructor

Parameters

  string | $xmlData |
  string | $aliasedType |
  eZContentObjectAttribute | null | $contentObjectAttribute |

Reimplemented from eZXHTMLXMLOutput.

Definition at line 14 of file ezpdfxmloutput.php.

## Member Function Documentation

## ◆ initHandlerLi()

eZPDFXMLOutput::initHandlerLi | ( |  | $element,
|  | & | $attributes,
|  | & | $sibilingParams,
|  | & | $parentParams
| ) |  |

Definition at line 35 of file ezpdfxmloutput.php.

## ◆ initHandlerTable()

eZPDFXMLOutput::initHandlerTable | ( |  | $element,
|  | & | $attributes,
|  | & | $sibilingParams,
|  | & | $parentParams
| ) |  |

Reimplemented from eZXHTMLXMLOutput.

Definition at line 22 of file ezpdfxmloutput.php.

## Member Data Documentation

## ◆ $TemplatesPath

eZPDFXMLOutput::$TemplatesPath = 'design:content/datatype/pdf/ezxmltags/'

Definition at line 47 of file ezpdfxmloutput.php.

The documentation for this class was generated from the following file:

- ezpdfxmloutput.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.